Skip to main content
GET
/
songs
/
{songID}
curl --request GET \
  --url https://taylor-swift-api.sarbo.workers.dev/songs/10
{
  "song_id": 10,
  "song_title": "Wonderland",
  "album_id": 1
}
Returns a single song object for the given song ID.
Note that the response field for the song title is song_title, not title. This differs from the array responses returned by the Get all songs and Get songs in an album endpoints.

Path parameters

songID
integer
required
The unique identifier of the song. Use the Get all songs endpoint to look up valid song IDs.

Response

song_id
integer
required
Unique identifier for the song.
song_title
string
required
Title of the song.
album_id
integer
required
ID of the album this song belongs to.
curl --request GET \
  --url https://taylor-swift-api.sarbo.workers.dev/songs/10
{
  "song_id": 10,
  "song_title": "Wonderland",
  "album_id": 1
}

Build docs developers (and LLMs) love